%define dialup_admin_version 1.63
%define nibs_version 0.0.3

Name: freeradius
Version: 0.9.3
Release: alt2

Summary: FreeRADIUS server - GPLed RADIUS server
Summary(ru_RU.KOI8-R): FreeRADIUS - GPL  RADIUS 

License: GPL
Group: System/Servers
URL: http://www.freeradius.org

Source0: %name-%version.tar.gz
Source1: radiusd-logrotate
Source2: radiusd-alt
Source3: radiusd.conf-alt
Source4: radiusd-sysconfig
Source5: freenibs-0.0.3-release_freeradius-0.9.3.tar.bz2 

Patch0: %name-net-snmp.patch

Requires:	libpam0  
Requires:	gdbm libdb2 libssl zlib libucd-snmp libltdl

%add_findprov_lib_path %_libdir/%name

# Automatically added by buildreq on Mon Nov 24 2003
BuildRequires: glibc-devel-static libMySQL-devel libdb2-devel 
BuildRequires: libe2fs-devel libgdbm-devel libkrb5 libldap-devel libltdl-devel 
BuildRequires: libpam-devel libpq3-devel libssl-devel libucd-snmp-devel mawk 
BuildRequires: perl-devel postgresql-devel python-devel slocate 
BuildRequires: net-snmp-utils zlib-devel



%description
The FreeRADIUS Server Project is an attempt to create a high-performance and 
highly configurable GPL'd free RADIUS server. The server is similar 
to Livingston's 2.0 server. 
FreeRADIUS is a variant of the Cistron RADIUS server, but they don't share 
a lot in common any more. You should use it because it has a lot 
more features than Cistron and Livingston and is much more configurable.

%description -l ru_RU.KOI8-R
FreeRadius Server      
  RADIUS       .   
Livingston 2.0 RADIUS     Cistron RADIUS Server, 
        .


%package ldap
Summary: libraries for  %name with ldap support
Group: System/Servers
Provides: %name-ldap
Requires: %name = %version-%release, libldap, libkrb5, libsasl2

%description ldap
This package provides a support for ldap authorization in freeradius 

%package mysql
Summary: libraries for  %name with MySQL support
Group: System/Servers
Provides: %name-mysql
Provides: %name-sql
Requires: %name = %version-%release, libMySQL

%description mysql
This package provides a support for mysql authetication/authorization/accounting in freeradius 

%package pgsql
Summary: libraries for  %name with PostgreSQL support
Group: System/Servers
Provides: %name-pgsql
Provides: %name-sql
Requires: %name = %version-%release, libpq3

%description pgsql
This package provides a support for Postgresql authetication/authorization/accounting in freeradius 

%package python
Summary: Python module for freeradius
Group: System/Servers
Provides: %name-python
Requires: %name = %version-%release, python22

%description python
This module allows to write modules in python

%package perl
Summary: perl module for freeradius
Group: System/Servers
Provides: %name-perl
Requires: %name = %version-%release, perl-base

%description perl
This module allows to write modules in perl


%package sqlcounter
Summary: sqlcounter is module for counting all sessions of users and disabling account if total time of all sessions is greater than limit.
Group: System/Servers
Provides: %name-sqlcounter
Requires: %name = %version-%release, %name-sql = %version-%release

%description sqlcounter
sqlcounter is module for counting all sessions of users and disabling account if total time of all sessions 
is greater than limit.

#%package -n freenibs-%nibs_version
#Summary: NIBS is Neon Internet Billing System
#Group: System/Servers 
#Provides: %name-freenibs billing nibs
#Requires: %name-sql

#%description -n freenibs-%nibs_version
#FreeNIBS is billing and accounting system for FreeRADIUS

%prep
%setup -q -n %name-%version
%patch -p1
#%setup  -q -n %SOURCE5
#%__tar -jxf %SOURCE5
#%__cp -r freenibs-0.0.3-release_freeradius-0.9.1/src/modules/rlm_nibs src/modules
#echo "rlm_nibs" >> src/modules/stable
#%patch -p1

%build
./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var  \
	    --libdir=/usr/lib/freeradius --includedir=/usr/include/freeradius \
--with-rlm_sql_iodbc=no --with-rlm_sql_unixodbc=no \
--with-logdir=/var/log/freeradius --mandir=/usr/share/man \
--with-rlm_unix=no --with-rlm-dbm-include-dir=/usr/include --with-ltdl-include-dir=/usr/include \
--with-rlm_sql_postgresql=yes --with-experimental-modules --with-rlm_perl=yes

%__perl -pi -e "s#HAVE_NDBM#HAVE_GDBM_NDBM#" src/modules/rlm_dbm/Makefile

make 

%install
make install R=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_prefix}/sbin/rc.radiusd
mkdir -p %buildroot/etc/{logrotate.d,sysconfig,rc.d/init.d}

install -m 755 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/radiusd
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/radiusd
install -m 640 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/raddb/radiusd.conf
install -m 640 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/radiusd

install -d -p -m0755 %buildroot%_docdir/%name-%version
install -d -p -m0755 %buildroot%_docdir/%name-%version/rfc
rm -rf doc/00-OLD
cp -R doc %buildroot%_docdir/%name-%version
#mkdir freenibs_doc
#cp -R src/modules/rlm_nibs/doc freenibs_docs
#cp -R src/modules/rlm_nibs/utils freenibs_docs
#cp -R freenibs-0.0.3-release_freeradius-0.9.1/raddb freenibs_docs

%pre
    /usr/sbin/groupadd -r -f radius &>/dev/null
    /usr/sbin/useradd -r -n -g radius -d /dev/null -s /dev/null -c RADIUS radius \
    &>/dev/null ||:

%preun
%preun_service radiusd	

%post
%post_service radiusd

%files
%doc doc/*
%doc dialup_admin
%_bindir/*
%_sbindir/*
%_datadir/%name/*
%_libdir/%name/libradius*.so
%_libdir/%name/rlm_acct*.so
%_libdir/%name/rlm_always*.so
%_libdir/%name/rlm_attr*.so
%_libdir/%name/rlm_chap*.so
%_libdir/%name/rlm_checkval*.so
%_libdir/%name/rlm_counter*.so
%_libdir/%name/rlm_cram*.so
%_libdir/%name/rlm_dbm*.so
%_libdir/%name/rlm_detail*.so
%_libdir/%name/rlm_dictionary*.so
%_libdir/%name/rlm_digest*.so
%_libdir/%name/rlm_eap*.so
%_libdir/%name/rlm_ex*.so
%_libdir/%name/rlm_f*.so
%_libdir/%name/rlm_ip*.so
%_libdir/%name/rlm_ms*.so
%_libdir/%name/rlm_ns*.so
%_libdir/%name/rlm_pa*.so
%_libdir/%name/rlm_pr*.so
%_libdir/%name/rlm_r*.so
%_libdir/%name/rlm_smb*.so
%_libdir/%name/rlm_sql*.so
%_libdir/%name/rlm_x99*.so
%_man1dir/*
%_mandir/man5/*
%_mandir/man8/*
%config(noreplace) %_sysconfdir/raddb/*
%config(noreplace) /etc/logrotate.d/radiusd
%config(noreplace) /etc/sysconfig/radiusd
%config /etc/rc.d/init.d/radiusd
%dir /var/log/freeradius
%dir /var/log/freeradius/radacct
%dir /var/run/radiusd
%dir %_datadir/%name
%dir %_libdir/%name
%attr(0750,radius,radius) %dir /var/run/radiusd
%attr(0750,radius,radius) %dir /var/log/freeradius/radacct

%files ldap
%_libdir/%name/rlm_ldap*.so

%files mysql
%doc src/modules/rlm_sql/drivers/rlm_sql_mysql/db_mysql.sql
%_libdir/%name/rlm_sql_mysql*.so

%files pgsql
%doc src/modules/rlm_sql/drivers/rlm_sql_postgresql/db_postgresql.sql
%_libdir/%name/rlm_sql_postgresql*.so

%files python
%doc src/modules/rlm_python/*.py
%doc src/modules/rlm_python/*.sql
%_libdir/%name/rlm_python*.so

%files perl
%doc src/modules/rlm_perl/example.pl
%_libdir/%name/rlm_perl*.so

%files sqlcounter
%_libdir/%name/rlm_sqlcounter*.so

#%files -n freenibs-%nibs_version
#%doc freenibs_docs/*
#%_libdir/%name/rlm_nibs*.so

%changelog
* Tue Dec 02 2003 Konstantin Timoshenko <kt@altlinux.ru> 0.9.3-alt2
- rebuild with net-snmp

* Mon Nov 24 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.9.3-alt1
- new version
- fixed bug #3286
- removed package freenibs (because it not ready yet)

* Thu Nov 20 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.9.2-alt2
- added package freenibs from nibs.net.ua

* Fri Oct 31 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.9.2-alt1
- new version

* Mon Sep 22 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.9.1-alt3
- splitted into subpackages

* Fri Sep 19 2003 Andy Gorev <horror@altlinux.ru> 0.9.1-alt2
- BuildRequires updated
- Rewritten start/stop scripts to new rc scheme
- Reload & Condreload fix
- Provide of oun libs
- Fix dictionary location for new version
- New /etc/sysconfig/radiusd options file implemented
- Small spec fixes

* Wed Sep 10 2003 Andy Gorev <horror@altlinux.ru> 0.9.1-alt1
- New version freeradius-0.9.1
- BuildRequires updated

* Wed Feb 12 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.8.1-alt1.3
- fixed  creating /var/run/radiusd.pid file

* Tue Jan 28 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.8.1-alt1.2
- rebuild for Master 2.2

* Mon Dec 16 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.8.1-alt1.1
- Some fixes in SPEC(section %description -l ru_RU.KOI8-R )

* Sat Dec 15 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.8.1-alt1
- New version freeradius-0.8.1

* Mon Dec 09 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.8-alt1
- New version freeradius-0.8

* Fri Jun 21 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.5-alt4
- fixed section %files

* Wed Jun 19 2002 IVV <ivv@altlinux.ru> 0.5-alt3
- Some fixes in freeradius.spec

* Thu Jun 11 2002 IVV <ivv@altlinux.ru> 0.5-alt2
- Changed init script
- Some fixes in freeradius.spec

* Tue Jun 06 2002 IVV <ivv@altlinux.ru> 0.5-alt1
- first  adaptations for ALTLinux
